Welcome, Guest. Please login or register.
April 21, 2014, 10:32:16 AM
Home Help Search Calendar Login Register
Show unread posts since last visit.
News: Let Pardus-Anka become #1: Pardus-Anka Bug ReportPardus-Anka World Google+ | The Pardus wiki  | Visit Pardus-Anka official website  | Register as forum member?  Email the moderator!

+  Pardus Worldforum
|-+  Assistance
| |-+  Software
| | |-+  Sopcast on Pardus [Solved]
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] 2 3 Go Down Print
Author Topic: Sopcast on Pardus [Solved]  (Read 4039 times)
Ganesh
Pardus fellow craft
**
Gender: Male
Posts: 79



View Profile
« on: September 12, 2009, 12:04:09 PM »

Hi,

How can we make Sopcast work on pardus.

Thanks
Ganesh
 
« Last Edit: September 13, 2009, 08:54:50 AM by Ganesh » Logged

Speak Your Truth and Clearly; and listen to others, even the dull and ignorant; they too have their story. ('Cheesy')
azra
Pardus Master
***
Gender: Male
Posts: 189



View Profile
« Reply #1 on: September 12, 2009, 12:19:45 PM »

Namaste Ganesh

you can use this http://petepr.drivehq.com/lsd/tarballs/sopcaster.tgz . Just make sure you read the readme, there is a dependency (stdc++) which is needed and which you can find on Pisi.

I have it on P2009 and it works with no issue.
« Last Edit: September 12, 2009, 12:22:18 PM by azra » Logged
Ganesh
Pardus fellow craft
**
Gender: Male
Posts: 79



View Profile
« Reply #2 on: September 12, 2009, 12:27:27 PM »

Hi azra,

The link does not work. Got any alternate link.

Ganesh
Logged

Speak Your Truth and Clearly; and listen to others, even the dull and ignorant; they too have their story. ('Cheesy')
bubbel
Guest
« Reply #3 on: September 12, 2009, 12:28:05 PM »


How can we make Sopcast work on pardus.


Hello Ganesh,

about Sopcast you find one older Thread here  Wink

Please search in the Forum, before open a new Thread.

Thanks and greetings
bubbel
Logged
azra
Pardus Master
***
Gender: Male
Posts: 189



View Profile
« Reply #4 on: September 12, 2009, 12:31:27 PM »

Hi azra,

The link does not work. Got any alternate link.

Ganesh

Try this
http://download.sopcast.cn/download/sp-auth.tgz and read this http://www.myp2pforum.eu/sopcast/34266-sopcaster-linux-3-easy-steps.html


Download from here http://petepr.drivehq.com/lsd/lsd_download.html
« Last Edit: September 12, 2009, 12:41:35 PM by azra » Logged
Ganesh
Pardus fellow craft
**
Gender: Male
Posts: 79



View Profile
« Reply #5 on: September 12, 2009, 12:57:18 PM »

Hi,

http://petepr.drivehq.com/humpty/sop...ter-3.5.tar.gz

still does not work.


I had downloaded the following files earlier and had tried to get it running.

1. sopcast-player-0.3.0-1.fc10.i386.rpm
2. sp-auth-3.0.1-1.i386.rpm

I converted them to .tgz using rpm2tgz.
I uncompresed them and copied them to /usr

I get the GUI when i run sopcast-player, but i did not get any chanell list even after refresh.
I saw the .pySopCast folder under my $HOME.
The .xml file is there, but list does not appear on the GUI.

I tried to maually add a sop:// url and tried connecting.  Still no luck.

I have downloaded sopcaster from the new link. Let me give it a try.

Thanks for all the help.

Ganesh
Logged

Speak Your Truth and Clearly; and listen to others, even the dull and ignorant; they too have their story. ('Cheesy')
azra
Pardus Master
***
Gender: Male
Posts: 189



View Profile
« Reply #6 on: September 12, 2009, 16:26:57 PM »

OK. Let me know how it goes and I will send you the files for Sopcaster if necessary. But bottom line is if I can get it to work, anyone can!
« Last Edit: September 12, 2009, 17:18:45 PM by azra » Logged
Ganesh
Pardus fellow craft
**
Gender: Male
Posts: 79



View Profile
« Reply #7 on: September 13, 2009, 08:53:32 AM »

Hi azra,

I got it working alright.
Thanks for all your help.

I copied sopcaster & sp-sc to /usr/local/bin.
I also installed libstdc++ pisi through package manager.

Thanks for all the help.
You guys are great.

Thanks
Ganesh Smiley
Logged

Speak Your Truth and Clearly; and listen to others, even the dull and ignorant; they too have their story. ('Cheesy')
azra
Pardus Master
***
Gender: Male
Posts: 189



View Profile
« Reply #8 on: September 13, 2009, 16:45:42 PM »

Hey Ganesh
The pleasure is all mine  Wink
Logged
Michiel
Administrator
Pardus Guru
*****
Posts: 799



View Profile
« Reply #9 on: September 13, 2009, 17:21:05 PM »

Can someone post a sort of HOWTO/wiki on how to get sopcast working step-by-step?

I also wonder what is the differece between sopcaster and sopcast-player? The latter looks nicer, and the former I guess I had that once up and running in Pardus 2008 and it required something (settings) in VLC player or so.

I guess a step-by-step tutoral will be of help for all of us, so if someone wants to step in and point things out?
Logged

Former Pardus user, now on OpenSUSE 12.2 (KDE)
azra
Pardus Master
***
Gender: Male
Posts: 189



View Profile
« Reply #10 on: September 13, 2009, 17:27:19 PM »

Hi Michiel
it's pretty easy  Wink:
1. Download the sopcaster folder from http://petepr.drivehq.com/lsd/tarballs/sopcaster.tar.gz, unarchive and put in your home folder
2. Download and install through PISI libstdc++
3. Double click on "sopcaster" to launch the application
« Last Edit: September 13, 2009, 19:21:54 PM by azra » Logged
Michiel
Administrator
Pardus Guru
*****
Posts: 799



View Profile
« Reply #11 on: September 13, 2009, 20:37:19 PM »

I would like to use sopcast-player (posted a bug report half a year ago).

When I try to compile it from source and check the INSTALL file it is said that you have to give make, but make all in case vlc-python-bindings is not yet on your system.
As python-vlc is not yet on our Pardus system I give

Code:
make all

But this results in an error message that there is no rule or line (translated this from dutch) to build target 'all' Halted. ?

When I give

Code:
make
then it does start to build but results -as expected- in an error message that vlc_python_bindings cannot be found.

Anyone a hint?.
« Last Edit: September 13, 2009, 20:38:57 PM by Michiel » Logged

Former Pardus user, now on OpenSUSE 12.2 (KDE)
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #12 on: September 13, 2009, 20:57:23 PM »

I would like to use sopcast-player
Where can I download the source from?
Logged
Michiel
Administrator
Pardus Guru
*****
Posts: 799



View Profile
« Reply #13 on: September 13, 2009, 21:12:34 PM »

Sopcast-player:
http://code.google.com/p/sopcast-player/

I got the impression that something is wrong with the supplied Makefile.
I downloaded the alternative Makefile from this post in the Issues section on the mentioned URL.

When I copy and paste the new Makefile in my sopcast-player folder I can just give a
Code:
make
(instead of make all)

When I did so it was stated that setuptools is needed.

So I installed that one from the repo (pisi package setuptools).

Now I gave
Code:
make
again and got a few errors

Code:
michiel@laptop sopcast-player $ make
Generating language files...
/usr/bin/python -c 'import compileall; compileall.compile_dir("lib", force=1)'
Listing lib ...
Listing lib/.svn ...
Listing lib/.svn/prop-base ...
Listing lib/.svn/props ...
Listing lib/.svn/text-base ...
Listing lib/.svn/tmp ...
Listing lib/.svn/tmp/prop-base ...
Listing lib/.svn/tmp/props ...
Listing lib/.svn/tmp/text-base ...
Compiling lib/ConfigurationManager.py ...
Compiling lib/DatabaseOperations.py ...
Compiling lib/FileDownload.py ...
Compiling lib/ImportChannelGuide.py ...
Compiling lib/VLCWidget.py ...
Compiling lib/dynamic_ports.py ...
Compiling lib/fork.py ...
Compiling lib/listen.py ...
Compiling lib/pySocket.py ...
Compiling lib/pySopCastConfigurationManager.py ...
Compiling lib/record.py ...
Compiling lib/sopcast-player.py ...
sed -e 's|@DATADIR@|/usr/share|g' -e 's|@NAME@|sopcast-player|g' -e 's|@PYTHON@|/usr/bin/python|g' -e 's|@INSTALLDIR@|/usr/share/sopcast-player|g' -e 's|@ICONDIR@|/usr/share/icons/hicolor/scalable/apps|g' -e 's|@DESTDIR@||g' sopcast-player.in > sopcast-player
cd vlc_python_bindings; \
   CFLAGS="-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4" /usr/bin/python -c 'import setuptools; execfile("setup.py")' build; \
cd ..
*** Warning *** Cannot find vlc-config
*** Warning *** Cannot find vlc-config
*** Warning *** Cannot find vlc-config
running build
running build_ext
building 'vlc' extension
creating build
creating build/temp.linux-i686-2.6
i686-pc-linux-gnu-gcc -DNDEBUG -mtune=generic -march=i686 -O2 -pipe -fomit-frame-pointer -fstack-protector -D_FORTIFY_SOURCE=2 -g3 -ggdb -fPIC -fwrapv -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -fPIC -I../.. -I./../../include -I. -I/usr/win32/include -I/usr/include/python2.6 -c ./vlc_module.c -o build/temp.linux-i686-2.6/./vlc_module.o
./vlc_module.c: In function 'initvlc':
./vlc_module.c:114: warning: dereferencing type-punned pointer will break strict-aliasing rules
./vlc_module.c:118: warning: dereferencing type-punned pointer will break strict-aliasing rules
./vlc_module.c:122: warning: dereferencing type-punned pointer will break strict-aliasing rules
./vlc_module.c:126: warning: dereferencing type-punned pointer will break strict-aliasing rules
./vlc_module.c:130: warning: dereferencing type-punned pointer will break strict-aliasing rules
./vlc_module.c:154: error: 'mediacontrol_ForwardStatus' undeclared (first use in this function)
./vlc_module.c:154: error: (Each undeclared identifier is reported only once
./vlc_module.c:154: error: for each function it appears in.)
./vlc_module.c:156: error: 'mediacontrol_BackwardStatus' undeclared (first use in this function)
In file included from ./vlc_module.c:175:
./vlc_instance.c: In function 'vlcInstance_new':
./vlc_instance.c:101: warning: passing argument 2 of 'libvlc_new' from incompatible pointer type
./vlc_instance.c: In function 'vlcInstance_video_set_parent':
./vlc_instance.c:150: warning: 'libvlc_video_set_parent' is deprecated (declared at /usr/include/vlc/deprecated.h:85)
./vlc_instance.c: In function 'vlcInstance_video_get_parent':
./vlc_instance.c:164: warning: 'libvlc_video_get_parent' is deprecated (declared at /usr/include/vlc/deprecated.h:97)
./vlc_instance.c: In function 'vlcInstance_video_set_size':
./vlc_instance.c:181: warning: 'libvlc_video_set_size' is deprecated (declared at /usr/include/vlc/deprecated.h:135)
./vlc_instance.c: In function 'vlcInstance_vlm_add_broadcast':
./vlc_instance.c:314: warning: passing argument 6 of 'libvlc_vlm_add_broadcast' from incompatible pointer type
./vlc_instance.c: In function 'vlcInstance_vlm_change_media':
./vlc_instance.c:451: warning: passing argument 6 of 'libvlc_vlm_change_media' from incompatible pointer type
./vlc_instance.c: At top level:
./vlc_instance.c:594: warning: initialization from incompatible pointer type
./vlc_instance.c:608: warning: initialization from incompatible pointer type
In file included from ./vlc_module.c:176:
./vlc_mediaplayer.c: In function 'vlcMediaPlayer_video_resize':
./vlc_mediaplayer.c:357: warning: 'libvlc_video_resize' is deprecated (declared at /usr/include/vlc/deprecated.h:114)
./vlc_mediaplayer.c: In function 'vlcMediaPlayer_video_reparent':
./vlc_mediaplayer.c:374: warning: 'libvlc_video_reparent' is deprecated (declared at /usr/include/vlc/deprecated.h:102)
./vlc_mediaplayer.c: In function 'vlcMediaPlayer_set_drawable':
./vlc_mediaplayer.c:447: warning: 'libvlc_media_player_set_drawable' is deprecated (declared at /usr/include/vlc/deprecated.h:61)

*** 4 errors, 16 warnings
error: command 'i686-pc-linux-gnu-gcc' failed with exit status 1


I chose to ignore them and went on with
Code:
sudo make install

When I then try to start sopcast-player from command line it states that it cannot import VLC (which is of course present on my system).
The building files and documentation are quite complex and I do not know where to specify an alternative path to VLC.

This is where I got so far
 Cheesy

Code:
michiel@laptop sopcast-player $ make install
install -p -dm 0755 /usr/share/sopcast-player/lib
install: kan map ‘/usr/share/sopcast-player’ niet aanmaken: Toegang geweigerd
make: *** [install] Fout 1
michiel@laptop sopcast-player $ sudo make install
Wachtwoord:
install -p -dm 0755 /usr/share/sopcast-player/lib
install -p -dm 0755 /usr/share/sopcast-player/ui
install -p -dm 0755 /usr/bin
install -p -dm 0755 /usr/share/locale
install -p -dm 0755 /usr/share/icons/hicolor/scalable/apps
install -p -dm 0755 /usr/share/applications
install -p -m 0644 lib/* /usr/share/sopcast-player/lib
install -p -m 0644 ui/* /usr/share/sopcast-player/ui
install -p -m 0755 sopcast-player /usr/bin
install -p -m 0644 sopcast-player.desktop /usr/share/applications
install -p -m 0644 sopcast-player.svg /usr/share/icons/hicolor/scalable/apps
install -p -dm 0755 /usr/share/sopcast-player/lib
install -p -dm 0755 vlc_python_bindings/build/* /usr/share/sopcast-player/lib
michiel@laptop sopcast-player $ sopcast-player
Traceback (most recent call last):
  File "/usr/share/sopcast-player/lib/sopcast-player.py", line 37, in <module>
    import vlc
ImportError: No module named vlc
« Last Edit: September 13, 2009, 21:14:09 PM by Michiel » Logged

Former Pardus user, now on OpenSUSE 12.2 (KDE)
atolboo
Pardus Guru
****
Posts: 2317



View Profile
« Reply #14 on: September 13, 2009, 21:23:33 PM »

Code:
michiel@laptop sopcast-player $ make
.
.
*** 4 errors, 16 warnings
error: command 'i686-pc-linux-gnu-gcc' failed with exit status 1
As long as you get erorr(s) there ....... Do not go further.
They must be solved first.
Logged
Pages: [1] 2 3 Go Up Print 
« previous next »
Jump to:  


Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!